import { I18nType } from "@/i18n/type";

export const de: I18nType = {
	dialog: {
		nextButton: "Weiter",
		abortButton: "Abbrechen",
		saveButton: "Speichern",
		closeButton: "Schließen",
		moreInfoButton: "Mehr Info",
	},
	unsupportedLocale: {
		title: "Nicht unterstützte Sprache",
		message:
			"Die im Browser eingestellte Sprache {language} wird noch nicht unterstützt. Es wird daher die Standardsprache {defaultLanguage} angezeigt.",
		contribute: "Übersetzung erstellen",
		dontShowAgain: "Nicht mehr anzeigen",
	},
	home: {
		title: "Zertifikatsportal",
		welcomeMessage: "Willkommen, {name}!",
		sessionExpired: {
			moreInfo: {
				title: "Informationen zum Sitzungsablauf",
			},
			message: "Sitzung abgelaufen, Sie wurden ausgeloggt.",
		},
		identificationSectionHeader: "Identifikation",
		requestSectionHeader: "Zertifikate",
		loginButton: "Anmelden",
		logoutButton: "Abmelden",
		certificate: {
			button: {
				enabled: "Anfragen",
				disabled: "In Entwicklung",
			},
			personal: {
				name: "Personenzertifikat",
				description:
					"Hier können Personenzertifikate ausgestellt werden. Ein solches Zertifikat ist zum Beispiel zum Signieren oder Verschlüsseln von Mails oder zum Signieren von Dokumenten verwendbar. Ein Personenzertifikat ist durch eine vorherige Identifikation an eine Person gebunden.",
			},
			function: {
				name: "Funktionszertifikat",
				description:
					"Hier können Funktionszertifikate ausgestellt werden. Ein solches Zertifikat ist zum Beispiel zum Signieren und verschlüsseln von Mails in einer geteilten Postfach verwendbar. Für solche Zertifikate ist keine Identifikation nötig, es muss nur nachgewiesen werden, dass Kontrolle über die zu zertifizierende Mailadresse besteht.",
			},
			server: {
				name: "Serverzertifikat",
				description:
					"Hier können Serverzertifikate ausgestellt werden, die für die sichere Kommunikation zwischen Clients und Servern bzw. zwischen Servern und Servern benötigt werden. Dafür muss die Kontrolle über die Domain nachgewiesen sein.",
			},
		},
		identification: {
			button: {
				enabled: "Auswählen",
				disabled: "In Entwicklung",
			},
			view: {
				name: "Identifikation anzeigen",
				description:
					"Hier können bestehende Identifikationen betrachtet und in der Vergangenheit selbst erstellte Identifikationen widerrufen werden.",
			},
			create: {
				name: "Identifikation durchführen",
				description:
					"Hier können neue Identifikationen von KIT-Angehörenden durchgeführt werden. Dazu muss ein offizielles Ausweisdokument geprüft werden.",
			},
		},
	},
	createIdent: {
		title: "Identifikation erstellen",
		search: {
			header: "Personensuche nach KIT-Angehörenden",
			label: "Suchbegriff",
			noResults: "Keine Suchergebnisse gefunden",
			result: {
				moreDetails: {
					kitAccountLabel: "KIT-Kürzel",
					commonNameLabel: "Common Name",
					firstNameLabel: "Vorname",
					lastNameLabel: "Nachname",
					departmentLabel: "Abteilung",
					mailAddressLabel: "Mailadresse",
				},
				moreDetailsButton: "Details",
				identifyButton: "Identifizierung",
			},
			rule: {
				noSpacesAllowed: "Leerzeichen sind nicht erlaubt",
				invalidKitAccount: "KIT-Kürzel hat ein ungültiges Format",
			},
		},
		create: {
			title: "Identifikation für {name} durchführen",
			existing: {
				title: "{name} hat bereits gültige Identifizierungen",
				createdAtLabel: "Erstellt am",
				validUntilLabel: "Gültig bis",
				description:
					"Bitte den KIT-Angehörenden fragen, ob dennoch eine neue Identifikation erstellt werden soll. Das kann sinnvoll sein, wenn kürzlich der Name geändert wurde, z.B. aufgrund von erreichtem Doktortitel, Hochzeit, Transition, ...",
			},
			success: {
				title: "Neue Identifikation für {name} erfolgreich erstellt!",
				description: "Es existieren nun die folgenden Identifikationen:",
			},
			error: {
				title: "Beim Erstellen einer neuen Identifikation sind Fehler aufgetreten:",
			},
			documentType: {
				selectTitle: "Dokumententyp",
				unknown: "Unbekannt",
				personalausweis: "Personalausweis",
				passport: "Reisepass",
				aufenthaltstitel: "Aufenthaltstitel",
				other: "Anderes Dokument (bitte Anmerkung anfügen)",
			},
			documentTypeHint:
				"Für Informationen zu einem beliebigem Dokument, z.B. prüfbare Sicherheitsmerkmale, hier klicken und suchen.",
			documentIdentifier: "Dokumentennummer (letzte 5 Zeichen)",
			documentIdentifierHint: {
				title: "Informationen zur Dokumentennummer",
				text: "Dieses Bild zeigt, wo die Dokumentennummer auf der deutschen Variante des Dokuments zu finden ist. Dokumente anderer Länder sind oft ähnlich aufgebaut. Wenn die Dokumentennummer nicht auffindbar ist, bitte die PRADO Datenbank konsultieren.",
			},
			commonName: "Common Name (Anzeigename von Zertifikaten)",
			commonNameHint:
				"Aktuell nicht veränderbar, automatisch aus IDM generiert. Bitte mit Ausweis abgleichen. Bei Diskrepanz Identifikation abbrechen und auf nötige Änderung durch PSE hinweisen.",
			auditorRemarks: "Anmerkungen",
			auditorRemarksEmptyWithDocTypeOtherError:
				'Anmerkungen dürfen nicht leer sein, wenn "Anderes Dokument" der gewählte Dokumententyp ist.',
		},
	},
	notFound: {
		title: "404 - nicht gefunden",
		message: "Seite nicht gefunden",
	},
	maintenance: {
		title: "Wartungsmodus",
		header: "Das Zertifikatsportal ist im Wartungsmodus",
		message:
			"Aktuell ist über dieses Portal noch keine Zertifikatsausstellung möglich. Bitte verwenden Sie den verlinkten Übergangsprozess.",
		infoButton: "Übergangsprozess",
	},
	errors: {
		requestIdLabel: "Anfragen-ID",
		backend: {
			title: "Kritischer Serverfehler aufgetreten",
			sorry: "Das hätte nicht passieren sollen.",
			contact: "Bitte kontaktieren sie {mail} wenn das Problem länger besteht.",
			requestIdHint: "Bitte füge unbedingt die unten angezeigte Anfragen-ID bei.",
		},
		unknown: "Unbekannter Fehler aufgetreten.",
		backendGone: "Der KIT-CA-Server ist nicht errreichbar.",
		invalidAuthHeader: "Authentisierungs-Kopfzeile hatte das falsche Format.",
		invalidAuthToken: "Authentisierungsmerkmal war ungültig oder abgelaufen.",
		ldapSearchSizeLimitExceeded: "Der Suchbegriff führt zu zu vielen Ergebnissen, bitte genauer spezifizieren.",
		problemFieldEmpty: "Das Feld darf nicht leer sein.",
		problemFieldTooLong: "Inhalt ist zu lang.",
		problemFieldInvalid: "Inhalt ist ungültig.",
		accountIsPseudonym:
			"Dieser Account is pseudonymisiert. Bitte sagen Sie dem Nutzenden, dass der Account entweder depseudonymisiert werden muss oder alternativ ein Funktionszertifikat ohne Identifizierung angefordert werden kann.",
	},
};
