export type I18nType = {
	dialog: {
		nextButton: string;
		abortButton: string;
		saveButton: string;
		closeButton: string;
		moreInfoButton: string;
	};
	unsupportedLocale: {
		title: string;
		message: string;
		contribute: string;
		dontShowAgain: string;
	};
	home: {
		title: string;
		welcomeMessage: string;
		identificationSectionHeader: string;
		requestSectionHeader: string;
		loginButton: string;
		logoutButton: string;
		sessionExpired: {
			moreInfo: {
				title: string;
			};
			message: string;
		};
		certificate: {
			button: {
				enabled: string;
				disabled: string;
			};
			personal: {
				name: string;
				description: string;
			};
			function: {
				name: string;
				description: string;
			};
			server: {
				name: string;
				description: string;
			};
		};
		identification: {
			button: {
				enabled: string;
				disabled: string;
			};
			view: {
				name: string;
				description: string;
			};
			create: {
				name: string;
				description: string;
			};
		};
	};
	createIdent: {
		title: string;
		search: {
			header: string;
			label: string;
			noResults: string;
			rule: {
				noSpacesAllowed: string;
				invalidKitAccount: string;
			};
			result: {
				moreDetails: {
					kitAccountLabel: string;
					commonNameLabel: string;
					firstNameLabel: string;
					lastNameLabel: string;
					departmentLabel: string;
					mailAddressLabel: string;
				};
				moreDetailsButton: string;
				identifyButton: string;
			};
		};
		create: {
			title: string;
			existing: {
				title: string;
				createdAtLabel: string;
				validUntilLabel: string;
				description: string;
			};
			success: {
				title: string;
				description: string;
			};
			error: {
				title: string;
			};
			documentType: {
				selectTitle: string;
				unknown: string;
				personalausweis: string;
				passport: string;
				aufenthaltstitel: string;
				other: string;
			};
			documentTypeHint: string;
			documentIdentifier: string;
			documentIdentifierHint: {
				title: string;
				text: string;
			};
			commonName: string;
			commonNameHint: string;
			auditorRemarks: string;
			auditorRemarksEmptyWithDocTypeOtherError: string;
		};
	};
	notFound: {
		title: string;
		message: string;
	};
	maintenance: {
		title: string;
		header: string;
		message: string;
		infoButton: string;
	};
	errors: {
		requestIdLabel: string;
		backend: {
			title: string;
			sorry: string;
			contact: string;
			requestIdHint: string;
		};
		unknown: string;
		backendGone: string;
		invalidAuthHeader: string;
		invalidAuthToken: string;
		ldapSearchSizeLimitExceeded: string;
		problemFieldEmpty: string;
		problemFieldTooLong: string;
		problemFieldInvalid: string;
		accountIsPseudonym: string;
	};
};
